Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFont.Style

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFont.Style

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFont

    public static final class QFont.Style

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QFont.Style` | `StyleItalic` Italic glyphs that are specifically designed for the purpose of representing italicized text.
`static QFont.Style` | `StyleNormal` Normal glyphs used in unstyled text.
`static QFont.Style` | `StyleOblique` Glyphs with an italic appearance that are typically based on the unstyled glyphs, but are not fine-tuned for the purpose of representing italicized text.

Method Summary
`static QFont.Style` | `resolve(int value)` Returns the QFont$Style constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.Style` | `valueOf(java.lang.String name)`
`static QFont.Style[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### StyleNormal

    public static final QFont.Style StyleNormal

  Normal glyphs used in unstyled text.

### StyleItalic

    public static final QFont.Style StyleItalic

  Italic glyphs that are specifically designed for the purpose of representing italicized text.

### StyleOblique

    public static final QFont.Style StyleOblique

  Glyphs with an italic appearance that are typically based on the unstyled glyphs, but are not fine-tuned for the purpose of representing italicized text.

Method Detail

### values

    public static QFont.Style[] values()

### valueOf

    public static QFont.Style valueOf(java.lang.String name)

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.Style resolve(int value)

  Returns the QFont$Style constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD